@import "~/styles/colors.simon.scss";
@import "~/styles/fonts.simon.scss";

.navtab-tab-simon {
  display: flex;
  flex-direction: row;
  height: 45px;
  list-style-type: none;
  border: none;
  font-family: $font-family;
  font-size: 16px;
  color: $text-disabled;
  white-space: nowrap;
  margin: 4px;
  margin-right: 0;
  user-select: none;
  cursor: pointer;
}

.navtab-tab-simon:not(.navtab-extra-button) {
  background-color: $tab-inactive-bg;

  // Nested elements
  .navtab-tab-title {
    display: flex;
    justify-content: center;
    align-items: center;
    min-width: 100px;
  }

  .navtab-tab-addon {
    display: flex;
    width: 32px;
    margin: 4px;
    justify-content: center;
    align-items: center;
  }

  &:disabled,
  &.navtab-tab-disabled,
  &.navtab-tab-disabled:hover {
    background-color: #2b2b2b !important;
    cursor: not-allowed;
  }

  // Selected status
  &:hover,
  &.navtab-tab-selected {
    color: $input-item;
    background-color: $tab-active-bg;
  }
}
